import os
import subprocess
import time
from setuptools import setup, find_packages

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

def get_git_commit():
    (out, err, return_code) = run_command('git rev-list --count integration')
    print ("commit {0}".format(return_code))
    exit
    return out

def run_command(cmd):
    proc = subprocess.Popen([cmd], stdout=subprocess.PIPE, shell=True)
    out, err = proc.communicate()
    return_code = proc.returncode
    return out, err, return_code

setup(
    name = "clmctest",
    version = get_git_commit(),
    author = "Michael Boniface",
    author_email = "mjb@it-innovation.soton.ac.uk",
    description = "FLAME CLMC Testing Module",
    license = "license",
    keywords = "example documentation",
    url = "http://packages.python.org/an_example_pypi_project",
    packages=find_packages(exclude=["services"]),
    include_package_data=True,
    package_data={'': ['*.yml', '*.sh']},        
    long_description="long description",
    classifiers=[
        "Development Status :: Alpha",
        "Topic :: FLAME Tests",
        "License :: ",
    ],
)